Bug 630091 - fix coverity Defect Type: Memory - illegal accesses issues
Summary: fix coverity Defect Type: Memory - illegal accesses issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.2.6
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 639035
TreeView+ depends on / blocked
 
Reported: 2010-09-03 17:13 UTC by Nathan Kinder
Modified: 2015-01-04 23:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-17 14:08:48 UTC


Attachments (Terms of Use)
Patch for cov#15512 (1.08 KB, patch)
2010-09-13 14:57 UTC, Nathan Kinder
nkinder: review?
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#15513 (1.01 KB, patch)
2010-09-13 15:04 UTC, Nathan Kinder
nkinder: review?
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#15514 (1.54 KB, patch)
2010-09-13 15:14 UTC, Nathan Kinder
nkinder: review?
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#15515 (1.23 KB, patch)
2010-09-13 15:26 UTC, Nathan Kinder
nhosoi: review+
nkinder: review?
Details | Diff
Patch for cov#15516 and cov#15517 (1.27 KB, patch)
2010-09-13 15:34 UTC, Nathan Kinder
nhosoi: review+
nkinder: review?
Details | Diff
Patch for cov#15519 (952 bytes, patch)
2010-09-13 15:39 UTC, Nathan Kinder
nhosoi: review+
nkinder: review?
Details | Diff
Patch for cov#15582 (992 bytes, patch)
2010-09-13 15:43 UTC, Nathan Kinder
nhosoi: review+
nkinder: review?
Details | Diff
Patch for cov#12209 (1.06 KB, patch)
2010-09-15 22:01 UTC, Nathan Kinder
nhosoi: review+
nkinder: review?
rmeggins: review+
Details | Diff
Patch for cov#11973 (1.35 KB, patch)
2010-09-24 17:40 UTC, Nathan Kinder
nhosoi: review+
nkinder: review?
Details | Diff

Description Nathan Kinder 2010-09-03 17:13:58 UTC
fix coverity Defect Type: Memory - illegal accesses issues

Comment 2 Nathan Kinder 2010-09-13 14:57:43 UTC
Created attachment 446959 [details]
Patch for cov#15512

Comment 3 Nathan Kinder 2010-09-13 15:04:16 UTC
Created attachment 446961 [details]
Patch for cov#15513

Comment 4 Nathan Kinder 2010-09-13 15:14:28 UTC
Created attachment 446964 [details]
Patch for cov#15514

Comment 5 Nathan Kinder 2010-09-13 15:26:31 UTC
Created attachment 446971 [details]
Patch for cov#15515

Comment 6 Nathan Kinder 2010-09-13 15:34:33 UTC
Created attachment 446973 [details]
Patch for cov#15516 and cov#15517

Comment 7 Nathan Kinder 2010-09-13 15:39:53 UTC
Created attachment 446974 [details]
Patch for cov#15519

Comment 8 Nathan Kinder 2010-09-13 15:43:47 UTC
Created attachment 446975 [details]
Patch for cov#15582

Comment 9 Noriko Hosoi 2010-09-13 16:28:24 UTC
Comment on attachment 446974 [details]
Patch for cov#15519

Certainly, there's no harm, but this would do the same...
struct berval bvtype = {0};
struct berval bv = {0};

Comment 10 Nathan Kinder 2010-09-13 16:48:37 UTC
Pushed patches to master.  Thanks to Rich and Noriko for their reviews!

Counting objects: 58, done.
Delta compression using 2 threads.
Compressing objects: 100% (48/48), done.
Writing objects: 100% (48/48), 5.06 KiB, done.
Total 48 (delta 35), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   b2799df..5ae8186  master -> master

Comment 11 Nathan Kinder 2010-09-15 22:01:48 UTC
Created attachment 447579 [details]
Patch for cov#12209

Comment 12 Nathan Kinder 2010-09-15 22:26:30 UTC
Pushed additional patch to master.  Thanks to Rich and Noriko for their reviews!

Counting objects: 9, done.
Delta compression using 2 threads.
Compressing objects: 100% (5/5), done.
Writing objects: 100% (5/5), 594 bytes, done.
Total 5 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   b83f966..8f1cdb3  master -> master

Comment 13 Nathan Kinder 2010-09-24 17:40:41 UTC
Created attachment 449474 [details]
Patch for cov#11973

Comment 14 Nathan Kinder 2010-09-24 17:49:07 UTC
Pushed patch for cov#11973 to master.  Thanks to Noriko for her review!

Counting objects: 9, done.
Delta compression using 2 threads.
Compressing objects: 100% (5/5), done.
Writing objects: 100% (5/5), 796 bytes, done.
Total 5 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   3561044..dcfd94b  master -> master

Comment 15 Amita Sharma 2011-05-13 06:59:21 UTC
Coverity Related, Can I request Dev to test this.


Note You need to log in before you can comment on or make changes to this bug.